net.minecraft.util

## Enum MovingObjectPosition.MovingObjectType

- java.lang.Object
- - java.lang.Enum<MovingObjectPosition.MovingObjectType>
  - - net.minecraft.util.MovingObjectPosition.MovingObjectType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MovingObjectPosition.MovingObjectType>
  Enclosing class:
    MovingObjectPosition

      public static enum MovingObjectPosition.MovingObjectType
      extends java.lang.Enum<MovingObjectPosition.MovingObjectType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLOCK`
    `ENTITY`
    `MISS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MovingObjectPosition.MovingObjectType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MovingObjectPosition.MovingObjectType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MISS

          public static final MovingObjectPosition.MovingObjectType MISS

    - #### BLOCK

          public static final MovingObjectPosition.MovingObjectType BLOCK

    - #### ENTITY

          public static final MovingObjectPosition.MovingObjectType ENTITY

  - ### Method Detail

    - #### values

          public static MovingObjectPosition.MovingObjectType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MovingObjectPosition.MovingObjectType c : MovingObjectPosition.MovingObjectType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MovingObjectPosition.MovingObjectType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null